# 运输管理系统文档

## 系统概述

运输管理系统提供完整的运输资源管理功能，包括车辆管理、驾驶员管理、供应商管理等核心功能模块。

## 功能模块

### 1. [车辆管理](./vehicle.md)

- 车辆基本信息管理
- 车辆状态查询
- 车辆调度记录
- 车辆维护记录

### 2. [驾驶员管理](./driver.md)

- 驾驶员基本信息管理
- 驾驶员状态查询
- 驾驶员工作记录
- 驾驶证管理

### 3. [供应商管理](./supplier.md)

- 供应商基本信息管理
- 供应商资质管理
- 合作记录管理
- 服务评价管理

### 4. [派车服务](./dispatch_service.md)

- 批量外部派车
- 多组订单处理
- 错误处理和结果反馈

## 快速开始

### 安装

```bash
# 安装派车服务
pip install baiyx-mcp-server-dispatch
```

### 配置

所有服务都需要配置以下环境变量：

```bash
export API_TOKEN=your_api_token
export BASE_URL=your_base_url
export SPACE_ID=your_space_id
```

## 系统架构

```
运输管理系统
├── 车辆管理模块
│   ├── 车辆信息管理
│   ├── 车辆状态监控
│   └── 维护记录管理
├── 驾驶员管理模块
│   ├── 驾驶员信息管理
│   ├── 驾驶证管理
│   └── 工作记录管理
├── 供应商管理模块
│   ├── 供应商信息管理
│   ├── 资质管理
│   └── 评价管理
└── 派车服务模块
    ├── 订单管理
    ├── 调度管理
    └── 执行监控
```

## 使用流程

1. 基础数据管理
   - 维护车辆信息
   - 维护驾驶员信息
   - 维护供应商信息

2. 业务操作流程
   - 接收运输需求
   - 选择合适车辆和驾驶员
   - 分配给合适的供应商
   - 执行派车操作
   - 监控运输过程
   - 完成运输任务

## 注意事项

1. 权限管理
   - 请确保有正确的API访问权限
   - 不同角色有不同的操作权限

2. 数据安全
   - 定期备份重要数据
   - 遵守数据保护规范

3. 系统维护
   - 定期检查系统状态
   - 及时更新系统版本 